Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.editor.settings/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.editor.settings
Class FontColorNames

    java.lang.Object
      org.netbeans.api.editor.settings.FontColorNames

    public final class FontColorNames

extends Object

Fonts and Colors settings names

Field Summary
`static String` | `BLOCK_SEARCH_COLORING` Coloring used for block search
`static String` | `CODE_FOLDING_BAR_COLORING` Coloring that will be used for code folding side bar
`static String` | `CODE_FOLDING_COLORING` Coloring that will be used for code folding icons displayed in editor
`static String` | `DEFAULT_COLORING` Default coloring for the drawing.
`static String` | `GUARDED_COLORING` Coloring used for guarded blocks
`static String` | `HIGHLIGHT_SEARCH_COLORING` Coloring used for highlight search
`static String` | `INC_SEARCH_COLORING` Coloring used for incremental search
`static String` | `LINE_NUMBER_COLORING` Coloring that will be used for line numbers displayed on the left side on the screen.
`static String` | `SELECTION_COLORING` Coloring used for selection
`static String` | `STATUS_BAR_BOLD_COLORING` Coloring used to mark important text in the status bar
`static String` | `STATUS_BAR_COLORING` Coloring used for the status bar

Constructor Summary
`FontColorNames()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_COLORING

    public static final String DEFAULT_COLORING

  Default coloring for the drawing.

  See Also:
    Constant Field Values

### LINE_NUMBER_COLORING

    public static final String LINE_NUMBER_COLORING

  Coloring that will be used for line numbers displayed on the left side on the screen.

  See Also:
    Constant Field Values

### GUARDED_COLORING

    public static final String GUARDED_COLORING

  Coloring used for guarded blocks

  See Also:
    Constant Field Values

### CODE_FOLDING_COLORING

    public static final String CODE_FOLDING_COLORING

  Coloring that will be used for code folding icons displayed in editor

  See Also:
    Constant Field Values

### CODE_FOLDING_BAR_COLORING

    public static final String CODE_FOLDING_BAR_COLORING

  Coloring that will be used for code folding side bar

  See Also:
    Constant Field Values

### SELECTION_COLORING

    public static final String SELECTION_COLORING

  Coloring used for selection

  See Also:
    Constant Field Values

### HIGHLIGHT_SEARCH_COLORING

    public static final String HIGHLIGHT_SEARCH_COLORING

  Coloring used for highlight search

  See Also:
    Constant Field Values

### INC_SEARCH_COLORING

    public static final String INC_SEARCH_COLORING

  Coloring used for incremental search

  See Also:
    Constant Field Values

### BLOCK_SEARCH_COLORING

    public static final String BLOCK_SEARCH_COLORING

  Coloring used for block search

  See Also:
    Constant Field Values

### STATUS_BAR_COLORING

    public static final String STATUS_BAR_COLORING

  Coloring used for the status bar

  See Also:
    Constant Field Values

### STATUS_BAR_BOLD_COLORING

    public static final String STATUS_BAR_BOLD_COLORING

  Coloring used to mark important text in the status bar

  See Also:
    Constant Field Values

Constructor Detail

### FontColorNames

    public FontColorNames()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.editor.settings/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.